# $Revision: 1.18 $, $Date: 2011/10/24 16:17:42 $
Summary:	xdpyinfo application - display information utility for X
Summary(pl.UTF-8):	Aplikacja xdpyinfo - narzędzie do wyświetlania informacji dla X
Name:		xorg-app-xdpyinfo
Version:	1.3.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xdpyinfo-%{version}.tar.bz2
# Source0-md5:	1ef08f4c8d0e669c2edd49e4a1bf650d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-lib-libdmx-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xdpyinfo is a utility for displaying information about an X server.

It is used to examine the capabilities of a server, the predefined
values for various parameters used in communicating between clients
and the server, and the different types of screens, visuals, and X11
protocol extensions that are available.

%description -l pl.UTF-8
xdpyinfo to narzędzie do wyświetlania informacji o serwerze X.

Służy do sprawdzania możliwości serwera, predefiniowanych wartości
różnych parametrów używanych w komunikacji między klientami a serwerem
oraz dostępności różnych rodzajów ekranów, widoków i rozszerzeń
protokołu X11.

%prep
%setup -q -n xdpyinfo-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xdpyinfo
%{_mandir}/man1/xdpyinfo.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xdpyinfo.spec,v $
Revision 1.18  2011/10/24 16:17:42  qboosh
- updated to 1.3.0 (uses XCB now; Xprint support dropped)

Revision 1.17  2011/01/29 00:07:50  sparky
- dropped pre-cvs changelog

Revision 1.16  2010/10/05 17:16:09  qboosh
- updated to 1.2.0

Revision 1.15  2009/10/18 21:23:32  qboosh
- updated to 1.1.0

Revision 1.14  2008/05/21 18:34:48  arekm
- up to 1.0.3

Revision 1.13  2007/03/21 07:02:01  arekm
- up to 1.0.2

Revision 1.12  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 16:41:45  qboosh
- use individual dir, more verbose files, release 1

Revision 1.9  2006/01/12 14:22:01  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 14:52:42  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 00:13:44  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
